import PageContent from '@/components/PageContent';
import PageTitle from '@/components/PageTitle';
import { queryIotList } from '@/services/HardwareController';
import { useParams, useRequest } from '@umijs/max';
import { Spin } from 'antd';
import styles from './index.less';

const Work = (props) => {
  const { projectId } = useParams();

  const { data, loading } = useRequest(queryIotList, {
    defaultParams: [projectId],
  });

  const getIconStatus = (status) => {
    if (status == 1) return '';
    if (status == 2) return styles.offline;
    if (status == 3) return styles.error;
  };

  return (
    <PageContent>
      <PageTitle>空调控制</PageTitle>
      <div className={`card-box ${styles.top}`}>
        <div className={styles.left}>
          <img
            className={styles.img}
            src={require('@/assets/air-conditioner.png')}
          />
          <div>
            <div className={styles.number}>23</div>
            空调数量
          </div>
        </div>
        <div className={styles.right}>
          <div className={styles.row}>
            <i className={styles.icon}></i> 在线：137
          </div>
          <div className={styles.row}>
            <i className={`${styles.icon} ${styles.error}`}></i> 在线：137
          </div>
          <div className={styles.row}>
            <i className={`${styles.icon} ${styles.offline}`}></i> 在线：137
          </div>
        </div>
      </div>
      <Spin spinning={loading}>
        {data?.list?.map((item) => (
          <div className={`card-box ${styles.item}`}>
            <i className={`${styles.icon} ${getIconStatus(item.status)}`}></i>{' '}
            {item.name}
          </div>
        ))}
      </Spin>
    </PageContent>
  );
};

export default Work;
