import { ITopFilter } from '@/pages/TaskManage/Detail/detail.types';
import { Divider, Select } from 'antd';

interface IProps {
  filters: ITopFilter | ITopFilter[];
  onChange: (value: any, item: ITopFilter, index: number) => void;
  onClean: () => void;
}

const TopFilter: React.FC<IProps> = ({ filters, onChange, onClean }) => {
  return (
    <div style={{ display: 'flex', justifyContent: 'center' }}>
      {Array.isArray(filters) ? (
        filters.map((item, index) => {
          return (
            <>
              <Select
                key={`${index}${item.placeholder}`}
                style={{ width: 120 }}
                size="large"
                bordered={false}
                placeholder={item.placeholder}
                options={item.options}
                allowClear
                onClear={onClean}
                onChange={(value, option) => {
                  onChange(value, item, index);
                }}
              />
              {filters.length > 1 && index !== filters.length - 1 && (
                <Divider type="vertical" style={{ margin: '0 50px' }} />
              )}
            </>
          );
        })
      ) : (
        <Select
          style={{ width: 120 }}
          bordered={false}
          defaultValue={filters.placeholder}
          options={filters.options}
        />
      )}
    </div>
  );
};

export default TopFilter;
